--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: net_segment_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_segment_type AS ENUM (
    'none',
    'vlan',
    'gre'
);


ALTER TYPE public.net_segment_type OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'floating',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: plugin_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE plugin_type AS ENUM (
    'nailgun',
    'fuel'
);


ALTER TYPE public.plugin_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'install_plugin',
    'update_plugin',
    'delete_plugin',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: allowed_networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE allowed_networks (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.allowed_networks OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE allowed_networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.allowed_networks_id_seq OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE allowed_networks_id_seq OWNED BY allowed_networks.id;


--
-- Name: allowed_networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('allowed_networks_id_seq', 357, true);


--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 5, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 27, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    net_segment_type net_segment_type NOT NULL,
    net_manager cluster_net_manager NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    dns_nameservers text,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 5, true);


--
-- Name: global_parameters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE global_parameters (
    id integer NOT NULL,
    parameters text
);


ALTER TABLE public.global_parameters OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE global_parameters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.global_parameters_id_seq OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE global_parameters_id_seq OWNED BY global_parameters.id;


--
-- Name: global_parameters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('global_parameters_id_seq', 1, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 50, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 119, true);


--
-- Name: l2_connections; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE l2_connections (
    id integer NOT NULL,
    topology_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.l2_connections OWNER TO nailgun;

--
-- Name: l2_connections_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE l2_connections_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.l2_connections_id_seq OWNER TO nailgun;

--
-- Name: l2_connections_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE l2_connections_id_seq OWNED BY l2_connections.id;


--
-- Name: l2_connections_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('l2_connections_id_seq', 1, false);


--
-- Name: l2_topologies; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE l2_topologies (
    id integer NOT NULL,
    network_id integer NOT NULL
);


ALTER TABLE public.l2_topologies OWNER TO nailgun;

--
-- Name: l2_topologies_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE l2_topologies_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.l2_topologies_id_seq OWNER TO nailgun;

--
-- Name: l2_topologies_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE l2_topologies_id_seq OWNED BY l2_topologies.id;


--
-- Name: l2_topologies_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('l2_topologies_id_seq', 1, false);


--
-- Name: net_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_assignments OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_assignments_id_seq OWNED BY net_assignments.id;


--
-- Name: net_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_assignments_id_seq', 144, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    network_size integer,
    amount integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    netmask character varying(25) NOT NULL
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 26, true);


--
-- Name: networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networks (
    id integer NOT NULL,
    release integer,
    name character varying(100) NOT NULL,
    vlan_id integer,
    network_group_id integer,
    cidr character varying(25) NOT NULL,
    gateway character varying(25)
);


ALTER TABLE public.networks OWNER TO nailgun;

--
-- Name: networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.networks_id_seq OWNER TO nailgun;

--
-- Name: networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networks_id_seq OWNED BY networks.id;


--
-- Name: networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networks_id_seq', 45, true);


--
-- Name: neutron_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_configs (
    id integer NOT NULL,
    cluster_id integer,
    parameters text,
    "L2" text,
    "L3" text,
    predefined_networks text,
    segmentation_type segmentation_type NOT NULL
);


ALTER TABLE public.neutron_configs OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE neutron_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.neutron_configs_id_seq OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE neutron_configs_id_seq OWNED BY neutron_configs.id;


--
-- Name: neutron_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('neutron_configs_id_seq', 1, false);


--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 19, true);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(32) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25)
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 76, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 17, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 19, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 31, true);


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 17, true);


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    type plugin_type NOT NULL,
    name character varying(128) NOT NULL,
    state character varying(128) NOT NULL,
    version character varying(128) NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, true);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 11, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 53, true);


--
-- Name: vlan; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vlan (
    id integer NOT NULL
);


ALTER TABLE public.vlan OWNER TO nailgun;

--
-- Name: vlan_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vlan_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vlan_id_seq OWNER TO nailgun;

--
-- Name: vlan_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vlan_id_seq OWNED BY vlan.id;


--
-- Name: vlan_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vlan_id_seq', 1, false);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks ALTER COLUMN id SET DEFAULT nextval('allowed_networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY global_parameters ALTER COLUMN id SET DEFAULT nextval('global_parameters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_connections ALTER COLUMN id SET DEFAULT nextval('l2_connections_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_topologies ALTER COLUMN id SET DEFAULT nextval('l2_topologies_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments ALTER COLUMN id SET DEFAULT nextval('net_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks ALTER COLUMN id SET DEFAULT nextval('networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs ALTER COLUMN id SET DEFAULT nextval('neutron_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vlan ALTER COLUMN id SET DEFAULT nextval('vlan_id_seq'::regclass);


--
-- Data for Name: allowed_networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY allowed_networks (id, network_id, interface_id) FROM stdin;
1	2	1
2	3	1
3	4	1
4	5	1
5	6	1
6	2	2
7	3	2
8	4	2
9	5	2
10	6	2
11	2	3
12	3	3
13	4	3
14	5	3
15	6	3
16	1	4
17	2	4
18	3	4
19	4	4
20	5	4
21	6	4
22	2	5
23	3	5
24	4	5
25	5	5
26	6	5
27	2	6
28	3	6
29	4	6
30	5	6
31	6	6
32	1	8
33	2	8
34	3	8
35	4	8
36	5	8
37	6	8
38	2	7
39	3	7
40	4	7
41	5	7
42	6	7
43	2	9
44	3	9
45	4	9
46	5	9
47	6	9
48	2	10
49	3	10
50	4	10
51	5	10
52	6	10
53	1	12
54	2	12
55	3	12
56	4	12
57	5	12
58	6	12
59	2	11
60	3	11
61	4	11
62	5	11
63	6	11
64	7	13
65	8	13
66	9	13
67	10	13
68	11	13
69	7	14
70	8	14
71	9	14
72	10	14
73	11	14
74	1	16
75	7	16
76	8	16
77	9	16
78	10	16
79	11	16
80	7	15
81	8	15
82	9	15
83	10	15
84	11	15
85	7	17
86	8	17
87	9	17
88	10	17
89	11	17
90	7	18
91	8	18
92	9	18
93	10	18
94	11	18
95	7	19
96	8	19
97	9	19
98	10	19
99	11	19
100	1	20
101	7	20
102	8	20
103	9	20
104	10	20
105	11	20
106	7	21
107	8	21
108	9	21
109	10	21
110	11	21
111	7	22
112	8	22
113	9	22
114	10	22
115	11	22
116	7	23
117	8	23
118	9	23
119	10	23
120	11	23
121	1	24
122	7	24
123	8	24
124	9	24
125	10	24
126	11	24
127	7	25
128	8	25
129	9	25
130	10	25
131	11	25
132	7	26
133	8	26
134	9	26
135	10	26
136	11	26
137	7	27
138	8	27
139	9	27
140	10	27
141	11	27
142	1	28
143	7	28
144	8	28
145	9	28
146	10	28
147	11	28
295	22	57
296	23	57
297	24	57
298	25	57
299	26	57
300	22	58
301	23	58
302	24	58
303	25	58
304	26	58
305	1	60
306	22	60
307	23	60
308	24	60
309	25	60
310	26	60
311	22	59
312	23	59
313	24	59
314	25	59
315	26	59
316	22	61
317	23	61
318	24	61
319	25	61
320	26	61
321	22	62
322	23	62
323	24	62
324	25	62
325	26	62
326	22	63
327	23	63
328	24	63
329	25	63
330	26	63
331	1	64
332	22	64
333	23	64
334	24	64
335	25	64
336	26	64
337	22	65
338	23	65
339	24	65
340	25	65
341	26	65
342	22	66
343	23	66
344	24	66
345	25	66
346	26	66
347	1	68
348	22	68
349	23	68
350	24	68
351	25	68
352	26	68
353	22	67
354	23	67
355	24	67
356	25	67
357	26	67
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": true, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": true, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "Gv07p7s1"}, "keystone": {"admin_password": "DbOaktc6"}, "database": {"passwd": "ScqRtVbW"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "murano": {"db_password": "1uIPAADa"}, "nova": {"db_password": "OjxdussW", "user_password": "EAJgOIbm", "state_path": "/var/lib/nova"}, "heat": {"db_password": "ICXOrlzQ", "rabbit_user": "ROeMEb0o", "rabbit_password": "BlFzsT0m"}, "keystone": {"db_password": "t5W08pZk", "admin_token": "s4QpSCzk"}, "rabbit": {"password": "vGAxcMji"}, "mysql": {"root_password": "iZwjt0UN"}, "cinder": {"db_password": "ra2gam19", "user_password": "zb5rPLoa"}, "glance": {"db_password": "K7mkKAIR", "user_password": "qBpF174n"}, "cobbler": {"profile": "centos-x86_64"}, "swift": {"user_password": "pY5NLB8j"}, "savanna": {"db_password": "R1Ps7YcK"}}
2	2	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "heat": {"value": false, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": true, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": false, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": true, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "LnosUagk"}, "keystone": {"admin_password": "0SmhLRet"}, "database": {"passwd": "4KUM2SsU"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "murano": {"db_password": "b6C8u0a8"}, "nova": {"db_password": "lSec6Zg0", "user_password": "hC0k2ov6", "state_path": "/var/lib/nova"}, "heat": {"db_password": "nLCP3rpF", "rabbit_user": "1ZPwWkht", "rabbit_password": "vYkjSmum"}, "keystone": {"db_password": "TG49s84P", "admin_token": "THOV7uJE"}, "rabbit": {"password": "ZzClZyd2"}, "mysql": {"root_password": "qRCjgoWQ"}, "cinder": {"db_password": "Cxf0lCOw", "user_password": "NeqmMin2"}, "glance": {"db_password": "LZqcbcg9", "user_password": "45sPUZvQ"}, "cobbler": {"profile": "centos-x86_64"}, "swift": {"user_password": "W7tcEp03"}, "savanna": {"db_password": "L4MPLLbS"}}
5	5	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "storage": {"volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 80, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 60, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 70, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage": {"osd_pool_size": "2", "volumes_ceph": false, "images_ceph": false, "volumes_lvm": true, "objects_ceph": false}, "murano": {"enabled": false}, "nova": {"db_password": "9sTbDJdI", "user_password": "dhsiaTIm", "state_path": "/var/lib/nova"}, "heat": {"enabled": false}, "keystone": {"db_password": "JwYFqHFa", "admin_token": "6v1IMtKG"}, "rabbit": {"password": "GVXCqgDy"}, "mysql": {"root_password": "U0KYasZo"}, "cinder": {"db_password": "tzqSeEyz", "user_password": "kUjTiGth"}, "glance": {"db_password": "rgqrUV5o", "user_password": "gO5eWZ3a"}, "cobbler": {"profile": "rhel-x86_64"}, "swift": {"user_password": "1cXSRKGf"}, "savanna": {"enabled": false}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, net_l23_provider, net_segment_type, net_manager, grouping, name, release_id, dns_nameservers, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
1	multinode	operational	nova_network	ovs	vlan	FlatDHCPManager	roles	test_centos_simple_savanna_murano	1	["8.8.8.8", "8.8.4.4"]	{}	{}	f
2	multinode	operational	nova_network	ovs	vlan	VlanManager	roles	test_centos_simple_ceph_savanna	1	["8.8.8.8", "8.8.4.4"]	{}	{}	f
5	multinode	operational	nova_network	ovs	vlan	FlatDHCPManager	roles	test_rhos_simple	2	["8.8.8.8", "8.8.4.4"]	{}	{}	f
\.


--
-- Data for Name: global_parameters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY global_parameters (id, parameters) FROM stdin;
1	{"net_exclude": "10.20.0.0/24", "vlan_range": [100, 1000]}
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
7	3	172.16.0.2	172.16.0.127
8	2	172.16.0.128	172.16.0.254
10	4	192.168.0.2	192.168.0.254
12	5	192.168.1.2	192.168.1.254
14	6	10.0.0.2	10.0.255.254
20	8	172.16.0.2	172.16.0.127
21	7	172.16.0.128	172.16.0.254
23	9	192.168.0.2	192.168.0.254
25	10	192.168.1.2	192.168.1.254
27	11	10.0.0.2	10.0.255.254
33	\N	172.16.0.2	172.16.0.127
34	\N	172.16.0.128	172.16.0.254
36	\N	192.168.0.2	192.168.0.254
38	\N	192.168.1.2	192.168.1.254
40	\N	10.0.0.2	10.0.255.254
41	\N	172.16.0.128	172.16.0.254
42	\N	172.16.0.2	172.16.0.127
43	\N	192.168.0.1	192.168.0.254
44	\N	192.168.1.1	192.168.1.254
45	\N	10.0.0.2	10.0.255.254
46	22	172.16.0.128	172.16.0.254
47	23	172.16.0.2	172.16.0.127
48	24	192.168.0.1	192.168.0.254
49	25	192.168.1.1	192.168.1.254
50	26	10.0.0.2	10.0.255.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	1	10.20.0.3
2	1	1	10.20.0.4
3	1	1	10.20.0.5
4	1	1	10.20.0.6
5	1	2	10.20.0.7
6	1	2	10.20.0.8
7	1	2	10.20.0.9
8	1	2	10.20.0.10
9	1	3	10.20.0.11
10	1	3	10.20.0.12
11	1	3	10.20.0.13
12	1	3	10.20.0.14
13	9	1	192.168.0.2
14	9	2	192.168.0.3
15	9	3	192.168.0.4
16	7	1	172.16.0.2
17	7	2	172.16.0.3
18	7	3	172.16.0.4
19	10	1	192.168.1.2
20	10	2	192.168.1.3
21	10	3	192.168.1.4
22	1	4	10.20.0.15
23	1	4	10.20.0.16
24	1	4	10.20.0.17
25	1	4	10.20.0.18
26	1	5	10.20.0.19
27	1	5	10.20.0.20
28	1	5	10.20.0.21
29	1	5	10.20.0.22
30	1	6	10.20.0.23
31	1	6	10.20.0.24
32	1	6	10.20.0.25
33	1	6	10.20.0.26
34	1	7	10.20.0.27
35	1	7	10.20.0.28
36	1	7	10.20.0.29
37	1	7	10.20.0.30
38	19	4	192.168.0.5
39	19	5	192.168.0.6
40	19	6	192.168.0.7
41	19	7	192.168.0.8
42	17	4	172.16.0.5
43	17	5	172.16.0.6
44	17	6	172.16.0.7
45	17	7	172.16.0.8
46	20	4	192.168.1.5
47	20	5	192.168.1.6
48	20	6	192.168.1.7
49	20	7	192.168.1.8
99	1	15	10.20.0.31
100	1	15	10.20.0.32
101	1	15	10.20.0.33
102	1	15	10.20.0.34
103	1	16	10.20.0.35
104	1	16	10.20.0.36
105	1	16	10.20.0.37
106	1	16	10.20.0.38
107	1	17	10.20.0.39
108	1	17	10.20.0.40
109	1	17	10.20.0.41
110	1	17	10.20.0.42
111	43	15	192.168.0.9
112	43	16	192.168.0.10
113	43	17	192.168.0.11
114	42	15	172.16.0.9
115	42	16	172.16.0.10
116	42	17	172.16.0.11
117	44	15	192.168.1.9
118	44	16	192.168.1.10
119	44	17	192.168.1.11
\.


--
-- Data for Name: l2_connections; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY l2_connections (id, topology_id, interface_id) FROM stdin;
\.


--
-- Data for Name: l2_topologies; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY l2_topologies (id, network_id) FROM stdin;
\.


--
-- Data for Name: net_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_assignments (id, network_id, interface_id) FROM stdin;
19	1	4
20	1	8
21	1	12
22	3	7
23	3	3
24	2	7
25	2	3
26	3	11
27	2	11
28	5	5
29	5	1
30	4	5
31	6	5
32	4	1
33	6	1
34	5	9
35	4	9
36	6	9
127	22	57
128	23	57
129	24	57
130	25	57
131	26	57
132	1	60
133	22	61
134	23	61
135	24	61
136	25	61
137	26	61
138	1	64
139	22	65
140	23	65
141	24	65
142	25	65
143	26	65
144	1	68
61	1	16
62	1	24
63	1	20
64	1	28
65	8	18
66	7	18
67	8	14
68	7	14
69	10	13
70	9	13
71	10	17
72	9	17
73	8	22
74	7	22
75	11	13
76	8	26
77	7	26
78	11	17
79	10	21
80	9	21
81	10	25
82	9	25
83	11	25
84	11	21
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, network_size, amount, vlan_start, cidr, gateway, netmask) FROM stdin;
1	fuelweb_admin	\N	\N	256	1	\N	10.20.0.0/24	\N	255.255.255.0
3	public	1	1	256	1	100	172.16.0.0/24	172.16.0.1	255.255.255.0
2	floating	1	1	256	1	100	172.16.0.0/24	172.16.0.1	255.255.255.0
4	management	1	1	256	1	101	192.168.0.0/24	192.168.0.1	255.255.255.0
5	storage	1	1	256	1	102	192.168.1.0/24	192.168.1.1	255.255.255.0
6	fixed	1	1	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0
8	public	1	2	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
7	floating	1	2	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
9	management	1	2	256	1	101	192.168.0.0/24	192.168.0.1	255.255.255.0
10	storage	1	2	256	1	102	192.168.1.0/24	192.168.1.1	255.255.255.0
11	fixed	1	2	64	4	103	10.0.0.0/16	10.0.0.1	255.255.0.0
22	floating	2	5	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
23	public	2	5	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
24	management	2	5	256	1	101	192.168.0.0/24	192.168.0.1	255.255.255.0
25	storage	2	5	256	1	102	192.168.1.0/24	192.168.1.1	255.255.255.0
26	fixed	2	5	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0
\.


--
-- Data for Name: networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networks (id, release, name, vlan_id, network_group_id, cidr, gateway) FROM stdin;
1	\N	fuelweb_admin	\N	1	10.20.0.0/24	\N
7	1	public	100	3	172.16.0.0/24	172.16.0.1
8	1	floating	100	2	172.16.0.0/24	172.16.0.1
9	1	management	101	4	192.168.0.0/24	192.168.0.1
10	1	storage	102	5	192.168.1.0/24	192.168.1.1
11	1	fixed	103	6	10.0.0.0/24	10.0.0.1
17	1	public	\N	8	172.16.0.0/24	172.16.0.1
18	1	floating	\N	7	172.16.0.0/24	172.16.0.1
19	1	management	101	9	192.168.0.0/24	192.168.0.1
20	1	storage	102	10	192.168.1.0/24	192.168.1.1
21	1	fixed	103	11	10.0.0.0/26	10.0.0.1
22	1	fixed	104	11	10.0.0.64/26	10.0.0.1
23	1	fixed	105	11	10.0.0.128/26	10.0.0.1
24	1	fixed	106	11	10.0.0.192/26	10.0.0.1
41	2	floating	\N	22	172.16.0.0/24	172.16.0.1
42	2	public	\N	23	172.16.0.0/24	172.16.0.1
43	2	management	101	24	192.168.0.0/24	192.168.0.1
44	2	storage	102	25	192.168.1.0/24	192.168.1.1
45	2	fixed	103	26	10.0.0.0/24	10.0.0.1
\.


--
-- Data for Name: neutron_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_configs (id, cluster_id, parameters, "L2", "L3", predefined_networks, segmentation_type) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
3	3	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
5	5	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
6	6	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
7	7	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
1	1	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
2	2	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
10	\N	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
11	\N	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
4	4	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
8	\N	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
12	\N	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
9	\N	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
15	15	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
13	\N	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
14	\N	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
18	18	[{"name": "sda", "free_space": 15884, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32268, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 65036, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}]	{}
19	19	[{"name": "sda", "free_space": 15884, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32268, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 65036, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}]	{}
16	16	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
17	17	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask) FROM stdin;
1	1	eth3	08:00:27:5F:B0:5D	\N	\N	\N	\N
2	1	eth2	08:00:27:C7:48:0B	\N	\N	\N	\N
3	1	eth1	08:00:27:0A:35:13	\N	\N	\N	\N
5	2	eth3	08:00:27:42:B3:48	\N	\N	\N	\N
6	2	eth2	08:00:27:B6:05:23	\N	\N	\N	\N
7	2	eth1	08:00:27:EB:0F:02	\N	\N	\N	\N
9	3	eth3	08:00:27:2D:AE:C1	\N	\N	\N	\N
10	3	eth2	08:00:27:8B:B5:25	\N	\N	\N	\N
11	3	eth1	08:00:27:14:4C:6A	\N	\N	\N	\N
13	4	eth3	08:00:27:CC:E4:58	\N	\N	\N	\N
15	4	eth1	08:00:27:27:80:27	\N	\N	\N	\N
17	5	eth3	08:00:27:67:39:DC	\N	\N	\N	\N
19	5	eth1	08:00:27:62:F8:2F	\N	\N	\N	\N
21	6	eth3	08:00:27:D9:67:C3	\N	\N	\N	\N
23	6	eth1	08:00:27:A6:26:19	\N	\N	\N	\N
25	7	eth3	08:00:27:06:66:B2	\N	\N	\N	\N
27	7	eth1	08:00:27:F0:0C:AD	\N	\N	\N	\N
60	15	eth0	08:00:27:FC:26:F0	\N	\N	10.20.0.31	255.255.255.0
68	17	eth0	08:00:27:C1:84:C6	\N	\N	10.20.0.41	255.255.255.0
64	16	eth0	08:00:27:13:15:15	\N	\N	10.20.0.38	255.255.255.0
57	15	eth3	08:00:27:96:55:8A	\N	\N	172.16.0.9	255.255.255.0
65	17	eth3	08:00:27:D7:B1:CE	\N	\N	172.16.0.11	255.255.255.0
61	16	eth3	08:00:27:EF:03:1D	\N	\N	172.16.0.10	255.255.255.0
4	1	eth0	08:00:27:1F:9A:93	\N	\N	10.20.0.4	255.255.255.0
8	2	eth0	08:00:27:A3:50:2D	\N	\N	10.20.0.7	255.255.255.0
12	3	eth0	08:00:27:46:F7:5D	\N	\N	10.20.0.14	255.255.255.0
24	6	eth0	08:00:27:F5:C1:05	\N	\N	10.20.0.26	255.255.255.0
16	4	eth0	08:00:27:D3:95:D1	\N	\N	10.20.0.16	255.255.255.0
28	7	eth0	08:00:27:F7:0B:78	\N	\N	10.20.0.27	255.255.255.0
20	5	eth0	08:00:27:85:4D:A4	\N	\N	10.20.0.20	255.255.255.0
14	4	eth2	08:00:27:03:FE:6A	\N	\N	172.16.0.5	255.255.255.0
26	7	eth2	08:00:27:45:FC:78	\N	\N	172.16.0.8	255.255.255.0
22	6	eth2	08:00:27:42:15:BB	\N	\N	172.16.0.7	255.255.255.0
18	5	eth2	08:00:27:DA:78:42	\N	\N	172.16.0.6	255.255.255.0
66	17	eth2	08:00:27:0C:4F:73	\N	\N	\N	\N
67	17	eth1	08:00:27:BB:7F:0B	\N	\N	\N	\N
69	18	eth3	08:00:27:C0:6D:BD	\N	\N	\N	\N
70	18	eth2	08:00:27:AA:19:F6	\N	\N	\N	\N
71	18	eth1	08:00:27:D6:D5:41	\N	\N	\N	\N
72	18	eth0	08:00:27:A0:46:61	\N	\N	10.20.0.198	255.255.255.0
73	19	eth3	08:00:27:96:99:80	\N	\N	\N	\N
74	19	eth2	08:00:27:C3:DB:65	\N	\N	\N	\N
75	19	eth1	08:00:27:86:C1:C8	\N	\N	\N	\N
76	19	eth0	08:00:27:22:D9:A6	\N	\N	10.20.0.139	255.255.255.0
58	15	eth2	08:00:27:60:5D:B4	\N	\N	\N	\N
59	15	eth1	08:00:27:B2:79:D2	\N	\N	\N	\N
62	16	eth2	08:00:27:3C:66:B0	\N	\N	\N	\N
63	16	eth1	08:00:27:B4:7E:D2	\N	\N	\N	\N
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
1	2	1
2	3	2
3	1	3
4	2	4
5	3	5
6	4	6
7	4	7
15	6	15
16	7	16
17	5	17
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online) FROM stdin;
5	2	Untitled (4D:A4)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-5.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:67:39:DC", "max_speed": null, "name": "eth3", "current_speed": null}, {"name": "eth2", "ip": "172.16.0.6", "netmask": "255.255.255.0", "mac": "08:00:27:DA:78:42", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:62:F8:2F", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.20", "mac": "08:00:27:85:4D:A4", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 1573470208}}	08:00:27:85:4D:A4	10.20.0.20	node-5.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:07.537096	t
18	\N	Untitled (46:61)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:C0:6D:BD", "max_speed": null, "name": "eth3", "current_speed": null}, {"mac": "08:00:27:AA:19:F6", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:D6:D5:41", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.198", "netmask": "255.255.255.0", "mac": "08:00:27:A0:46:61", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 1573470208}}	08:00:27:A0:46:61	10.20.0.198	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2013-12-04 14:14:21.206335	t
1	1	Untitled (9A:93)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-1.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:5F:B0:5D", "max_speed": null, "name": "eth3", "current_speed": null}, {"mac": "08:00:27:C7:48:0B", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:0A:35:13", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.4", "netmask": "255.255.255.0", "mac": "08:00:27:1F:9A:93", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573470208}}	08:00:27:1F:9A:93	10.20.0.4	node-1.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:11.496677	t
4	2	Untitled (95:D1)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-4.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:CC:E4:58", "max_speed": null, "name": "eth3", "current_speed": null}, {"name": "eth2", "ip": "172.16.0.5", "netmask": "255.255.255.0", "mac": "08:00:27:03:FE:6A", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:27:80:27", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.16", "netmask": "255.255.255.0", "mac": "08:00:27:D3:95:D1", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573470208}}	08:00:27:D3:95:D1	10.20.0.16	node-4.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:34.613329	t
19	\N	Untitled (D9:A6)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:96:99:80", "max_speed": null, "name": "eth3", "current_speed": null}, {"mac": "08:00:27:C3:DB:65", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:86:C1:C8", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.139", "mac": "08:00:27:22:D9:A6", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573470208}}	08:00:27:22:D9:A6	10.20.0.139	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2013-12-04 14:14:28.684633	t
17	5	Untitled (84:C6)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-17.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth3", "ip": "172.16.0.11", "netmask": "255.255.255.0", "mac": "08:00:27:D7:B1:CE", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:0C:4F:73", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:BB:7F:0B", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.41", "netmask": "255.255.255.0", "mac": "08:00:27:C1:84:C6", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573314560}}	08:00:27:C1:84:C6	10.20.0.41	node-17.domain.tld	VirtualBox	\N	100	redhat	f	f	\N	\N	2013-12-04 14:14:28.290292	t
3	1	Untitled (F7:5D)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-3.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:2D:AE:C1", "max_speed": null, "name": "eth3", "current_speed": null}, {"mac": "08:00:27:8B:B5:25", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:14:4C:6A", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.14", "netmask": "255.255.255.0", "mac": "08:00:27:46:F7:5D", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1989}]}, "memory": {"total": 1573470208}}	08:00:27:46:F7:5D	10.20.0.14	node-3.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:22.392434	t
16	5	Untitled (15:15)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-16.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth3", "ip": "172.16.0.10", "mac": "08:00:27:EF:03:1D", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:3C:66:B0", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:B4:7E:D2", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.38", "netmask": "255.255.255.0", "mac": "08:00:27:13:15:15", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 1573314560}}	08:00:27:13:15:15	10.20.0.38	node-16.domain.tld	VirtualBox	\N	100	redhat	f	f	\N	\N	2013-12-04 14:14:23.628831	t
6	2	Untitled (C1:05)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-6.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:D9:67:C3", "max_speed": null, "name": "eth3", "current_speed": null}, {"name": "eth2", "ip": "172.16.0.7", "netmask": "255.255.255.0", "mac": "08:00:27:42:15:BB", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:A6:26:19", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.26", "mac": "08:00:27:F5:C1:05", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 1573470208}}	08:00:27:F5:C1:05	10.20.0.26	node-6.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:26.468304	t
2	1	Untitled (50:2D)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-2.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:42:B3:48", "max_speed": null, "name": "eth3", "current_speed": null}, {"mac": "08:00:27:B6:05:23", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:EB:0F:02", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.7", "mac": "08:00:27:A3:50:2D", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 1573470208}}	08:00:27:A3:50:2D	10.20.0.7	node-2.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:23.687671	t
7	2	Untitled (0B:78)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-7.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:06:66:B2", "max_speed": null, "name": "eth3", "current_speed": null}, {"name": "eth2", "ip": "172.16.0.8", "netmask": "255.255.255.0", "mac": "08:00:27:45:FC:78", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:F0:0C:AD", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.27", "mac": "08:00:27:F7:0B:78", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 1573470208}}	08:00:27:F7:0B:78	10.20.0.27	node-7.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-04 14:14:06.704696	t
15	5	Untitled (26:F0)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-15.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth3", "ip": "172.16.0.9", "mac": "08:00:27:96:55:8A", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:60:5D:B4", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "08:00:27:B2:79:D2", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.31", "mac": "08:00:27:FC:26:F0", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573314560}}	08:00:27:FC:26:F0	10.20.0.31	node-15.domain.tld	VirtualBox	\N	100	redhat	f	f	\N	\N	2013-12-04 14:14:26.178906	t
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2013-12-04 08:39:16.848679
2	\N	1	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:51:01.343764
3	\N	2	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:51:35.357182
4	\N	3	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:51:37.49997
5	\N	4	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:14.091768
6	\N	5	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:29.343386
7	\N	6	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:29.804812
8	\N	7	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:32.151775
21	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 12:18:17.002493
22	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 12:18:17.686918
14	1	\N	\N	done	Deployment of environment 'test_centos_simple_savanna_murano' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.4/	read	2013-12-04 09:27:38.825581
15	2	\N	\N	done	Deployment of environment 'test_centos_simple_ceph_savanna' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.5/ or via internal network at http://10.20.0.16/	read	2013-12-04 09:28:47.215574
26	\N	\N	\N	done	Successfully removed 3 node(s)	read	2013-12-04 13:18:18.933108
17	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	read	2013-12-04 09:49:27.412361
18	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	read	2013-12-04 10:39:15.95148
9	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:38.040701
10	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:39.074066
11	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:46.528575
12	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:53.170613
16	\N	\N	\N	done	Deployment of environment 'test_ubuntu_simple_ceph_savanna' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.9/ or via internal network at http://10.20.0.31/	read	2013-12-04 09:33:08.123366
19	\N	\N	\N	done	Successfully removed 4 node(s)	read	2013-12-04 12:15:22.267465
20	\N	\N	\N	done	Environment 'test_ubuntu_simple_ceph_savanna' and all its nodes are deleted	read	2013-12-04 12:15:22.615071
23	\N	15	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 12:18:18.692488
24	\N	16	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 12:18:30.148813
25	\N	\N	\N	done	Successfully downloaded RHOS 3.0 for RHEL 6.4	read	2013-12-04 12:35:15.21291
13	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 08:52:57.124926
27	\N	\N	\N	done	Environment 'test_rhos_simple' and all its nodes are deleted	read	2013-12-04 13:18:19.202286
28	\N	17	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 13:20:27.086135
29	\N	18	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 13:20:29.709893
30	\N	19	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-04 13:20:35.726683
31	5	\N	\N	done	Deployment of environment 'test_rhos_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.9/ or via internal network at http://10.20.0.31/	unread	2013-12-04 13:43:45.10191
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, type, name, state, version) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
1	apalkina@mirantis.com	AndromedA11	rhsm		
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Grizzly on CentOS 6.4	2013.1.4	This option will install the OpenStack Grizzly packages using CentOS as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"networks": [{"network_size": 256, "name": "floating", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "public", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "management", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.1", "192.168.0.254"], "vlan_start": 101, "cidr": "192.168.0.0/24", "gateway": "192.168.0.1"}, {"name": "storage", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.1", "192.168.1.254"], "vlan_start": 102, "cidr": "192.168.1.0/24", "gateway": "192.168.1.1"}, {"name": "fixed", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1"}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"vlan_start": null, "assign_vip": true, "name": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "pool": ["192.168.0.0/24"], "assign_vip": true}, {"name": "storage", "pool": ["192.168.1.0/24"], "assign_vip": false}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
3	Grizzly on Ubuntu 12.04	2013.1.4	This option will install the OpenStack Grizzly packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"networks": [{"network_size": 256, "name": "floating", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "public", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "management", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.1", "192.168.0.254"], "vlan_start": 101, "cidr": "192.168.0.0/24", "gateway": "192.168.0.1"}, {"name": "storage", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.1", "192.168.1.254"], "vlan_start": 102, "cidr": "192.168.1.0/24", "gateway": "192.168.1.1"}, {"name": "fixed", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1"}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"vlan_start": null, "assign_vip": true, "name": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "pool": ["192.168.0.0/24"], "assign_vip": true}, {"name": "storage", "pool": ["192.168.1.0/24"], "assign_vip": false}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 70, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
2	RHOS 3.0 for RHEL 6.4	2013.1.4	This option will install the Red Hat Enterprise Linux OpenStack Platform using RHEL as a base operating system.  With high availability features built in, you are getting a robust enterprise-grade OpenStack deployment.	RHEL	available	{"nova_network": {"networks": [{"network_size": 256, "name": "floating", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "public", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "management", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.1", "192.168.0.254"], "vlan_start": 101, "cidr": "192.168.0.0/24", "gateway": "192.168.0.1"}, {"name": "storage", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.1", "192.168.1.254"], "vlan_start": 102, "cidr": "192.168.1.0/24", "gateway": "192.168.1.1"}, {"name": "fixed", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1"}]}}	{"generated": {"base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "storage": {"osd_pool_size": "2", "volumes_ceph": false, "images_ceph": false, "volumes_lvm": true, "objects_ceph": false}, "murano": {"enabled": false}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"enabled": false}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "rhel-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"enabled": false}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "storage": {"volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 60, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 70, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL, QPID, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	cinder
2	1	controller
3	1	compute
4	1	ceph-osd
5	2	cinder
6	2	controller
7	2	compute
8	3	cinder
9	3	controller
10	3	compute
11	3	ceph-osd
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
4	1	d2000848-3246-4e42-b860-b90223e239dd	deploy	Deployment of environment 'test_centos_simple_savanna_murano' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.4/	ready	100	{}	{}	\N	1
7	1	9740dc4a-47c9-48cc-b7c1-a203e71f58c8	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "9740dc4a-47c9-48cc-b7c1-a203e71f58c8", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 95396, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.3", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:5F:B0:5D"}, "eth2": {"ip_address": "10.20.0.6", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:C7:48:0B"}, "eth1": {"ip_address": "10.20.0.5", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:0A:35:13"}, "eth0": {"ip_address": "10.20.0.4", "netmask": "255.255.255.0", "dns_name": "node-1.domain.tld", "static": "0", "mac_address": "08:00:27:1F:9A:93"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:5F:B0:5D_eth3,08:00:27:C7:48:0B_eth2,08:00:27:0A:35:13_eth1,08:00:27:1F:9A:93_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.173", "name_servers": "\\"10.20.0.2\\"", "name": "node-1", "hostname": "node-1.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 95396, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.10", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:42:B3:48"}, "eth2": {"ip_address": "10.20.0.9", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:B6:05:23"}, "eth1": {"ip_address": "10.20.0.8", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:EB:0F:02"}, "eth0": {"ip_address": "10.20.0.7", "netmask": "255.255.255.0", "dns_name": "node-2.domain.tld", "static": "0", "mac_address": "08:00:27:A3:50:2D"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:42:B3:48_eth3,08:00:27:B6:05:23_eth2,08:00:27:EB:0F:02_eth1,08:00:27:A3:50:2D_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.172", "name_servers": "\\"10.20.0.2\\"", "name": "node-2", "hostname": "node-2.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.11", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:2D:AE:C1"}, "eth2": {"ip_address": "10.20.0.13", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:8B:B5:25"}, "eth1": {"ip_address": "10.20.0.12", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:14:4C:6A"}, "eth0": {"ip_address": "10.20.0.14", "netmask": "255.255.255.0", "dns_name": "node-3.domain.tld", "static": "0", "mac_address": "08:00:27:46:F7:5D"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:2D:AE:C1_eth3,08:00:27:8B:B5:25_eth2,08:00:27:14:4C:6A_eth1,08:00:27:46:F7:5D_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.227", "name_servers": "\\"10.20.0.2\\"", "name": "node-3", "hostname": "node-3.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	4	0.050000000000000003
36	\N	8ca3befa-7842-4724-8ab0-87fe462b77d0	redhat_download_release	\N	ready	100	{"respond_to": "download_release_resp", "method": "download_release", "args": {"task_uuid": "8ca3befa-7842-4724-8ab0-87fe462b77d0", "release_info": {"release_id": 2, "redhat": {"username": "apalkina@mirantis.com", "satellite": "", "activation_key": "", "license_type": "rhsm", "password": "AndromedA11"}, "release_name": "RHOS 3.0 for RHEL 6.4"}}}	{"release_info": {"release_id": 2}}	33	1
28	2	77a049c7-2bbc-4d19-9977-e9b901d7f50c	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "ebabfbec-c70c-4a35-9fff-7ce8876a95b0", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "77a049c7-2bbc-4d19-9977-e9b901d7f50c", "nodes": [{"uid": 4, "networks": [{"vlans": [101, 102, 103, 104, 105, 106], "iface": "eth3"}, {"vlans": [0, 0], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 5, "networks": [{"vlans": [101, 102, 103, 104, 105, 106], "iface": "eth3"}, {"vlans": [0, 0], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 6, "networks": [{"vlans": [101, 102, 103, 104, 105, 106], "iface": "eth3"}, {"vlans": [0, 0], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 7, "networks": [{"vlans": [101, 102, 103, 104, 105, 106], "iface": "eth3"}, {"vlans": [0, 0], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}]}}	[]	\N	1
34	\N	04fca3c4-fe35-4c85-9b87-854c1dd98e22	redhat_check_credentials	\N	ready	100	{"respond_to": "check_redhat_credentials_resp", "method": "check_redhat_credentials", "args": {"task_uuid": "04fca3c4-fe35-4c85-9b87-854c1dd98e22", "release_info": {"release_id": 2, "redhat": {"username": "apalkina@mirantis.com", "satellite": "", "activation_key": "", "license_type": "rhsm", "password": "AndromedA11"}, "release_name": "RHOS 3.0 for RHEL 6.4"}}}	{"release_info": {"release_id": 2}}	33	0.01
29	2	ebabfbec-c70c-4a35-9fff-7ce8876a95b0	check_dhcp		ready	0	{}	{}	28	1
49	5	20ff0588-e63c-43e7-9b50-f0989952f6bb	redhat_check_credentials	\N	ready	100	{"respond_to": "check_redhat_credentials_resp", "method": "check_redhat_credentials", "args": {"task_uuid": "20ff0588-e63c-43e7-9b50-f0989952f6bb", "release_info": {"release_id": 2, "redhat": {"license_type": "rhsm", "username": "apalkina@mirantis.com", "satellite": "", "password": "AndromedA11", "activation_key": ""}, "release_name": "RHOS 3.0 for RHEL 6.4"}}}	{"release_info": {"release_id": 2}}	46	0.01
35	\N	4b80f0b8-80f2-463f-bb18-50112cde136a	redhat_check_licenses	\N	ready	100	{"respond_to": "redhat_check_licenses_resp", "method": "check_redhat_licenses", "args": {"task_uuid": "4b80f0b8-80f2-463f-bb18-50112cde136a", "release_info": {"release_id": 2, "redhat": {"username": "apalkina@mirantis.com", "satellite": "", "activation_key": "", "license_type": "rhsm", "password": "AndromedA11"}, "release_name": "RHOS 3.0 for RHEL 6.4"}}}	{"release_info": {"release_id": 2}}	33	0.01
16	2	ab2b67e5-72e9-4b01-a41a-b915c85aca1f	deployment	Deployment of environment 'test_centos_simple_ceph_savanna' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.5/ or via internal network at http://10.20.0.16/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "ab2b67e5-72e9-4b01-a41a-b915c85aca1f", "deployment_info": [{"management_interface": "eth3.101", "use_cow_images": true, "uid": "4", "vlan_interface": "eth3", "floating_interface": "eth2", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "qRCjgoWQ"}, "glance": {"image_cache_max_size": "10002995609", "user_password": "45sPUZvQ", "db_password": "LZqcbcg9"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.5/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.5/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.5/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.16/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "LnosUagk"}, "keystone": {"admin_password": "0SmhLRet"}, "database": {"passwd": "4KUM2SsU"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "lSec6Zg0", "user_password": "hC0k2ov6", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "b6C8u0a8", "enabled": false}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "TG49s84P", "admin_token": "THOV7uJE"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "nLCP3rpF", "enabled": false, "rabbit_user": "1ZPwWkht", "rabbit_password": "vYkjSmum"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "ZzClZyd2"}, "swift": {"user_password": "W7tcEp03"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-4.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Cxf0lCOw", "user_password": "NeqmMin2"}, "deployment_id": 2, "savanna": {"db_password": "L4MPLLbS", "enabled": true}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "5", "vlan_interface": "eth3", "floating_interface": "eth2", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "qRCjgoWQ"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "45sPUZvQ", "db_password": "LZqcbcg9"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.6/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.6/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.6/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.20/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "LnosUagk"}, "keystone": {"admin_password": "0SmhLRet"}, "database": {"passwd": "4KUM2SsU"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "lSec6Zg0", "user_password": "hC0k2ov6", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "b6C8u0a8", "enabled": false}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "TG49s84P", "admin_token": "THOV7uJE"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "nLCP3rpF", "enabled": false, "rabbit_user": "1ZPwWkht", "rabbit_password": "vYkjSmum"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "ZzClZyd2"}, "swift": {"user_password": "W7tcEp03"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-5.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Cxf0lCOw", "user_password": "NeqmMin2"}, "deployment_id": 2, "savanna": {"db_password": "L4MPLLbS", "enabled": true}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "6", "vlan_interface": "eth3", "floating_interface": "eth2", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "qRCjgoWQ"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "45sPUZvQ", "db_password": "LZqcbcg9"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.7/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.7/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.7/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.26/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "LnosUagk"}, "keystone": {"admin_password": "0SmhLRet"}, "database": {"passwd": "4KUM2SsU"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "lSec6Zg0", "user_password": "hC0k2ov6", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "b6C8u0a8", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "TG49s84P", "admin_token": "THOV7uJE"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "nLCP3rpF", "enabled": false, "rabbit_user": "1ZPwWkht", "rabbit_password": "vYkjSmum"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "ZzClZyd2"}, "swift": {"user_password": "W7tcEp03"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-6.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Cxf0lCOw", "user_password": "NeqmMin2"}, "deployment_id": 2, "savanna": {"db_password": "L4MPLLbS", "enabled": true}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "7", "vlan_interface": "eth3", "floating_interface": "eth2", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "qRCjgoWQ"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "45sPUZvQ", "db_password": "LZqcbcg9"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.8/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.8/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.8/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.27/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "LnosUagk"}, "keystone": {"admin_password": "0SmhLRet"}, "database": {"passwd": "4KUM2SsU"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "lSec6Zg0", "user_password": "hC0k2ov6", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "b6C8u0a8", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "TG49s84P", "admin_token": "THOV7uJE"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "nLCP3rpF", "enabled": false, "rabbit_user": "1ZPwWkht", "rabbit_password": "vYkjSmum"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "ZzClZyd2"}, "swift": {"user_password": "W7tcEp03"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-7.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Cxf0lCOw", "user_password": "NeqmMin2"}, "deployment_id": 2, "savanna": {"db_password": "L4MPLLbS", "enabled": true}}]}}	{}	12	1
12	2	9c0640af-4083-4048-8d22-cfebd6f903c5	deploy	Deployment of environment 'test_centos_simple_ceph_savanna' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.5/ or via internal network at http://10.20.0.16/	ready	100	{}	{}	\N	1
26	1	93145b2e-758d-4a10-9725-bb5cf17f11d1	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "889b3673-7aaf-4fe6-a990-ae1e67f893af", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "93145b2e-758d-4a10-9725-bb5cf17f11d1", "nodes": [{"uid": 1, "networks": [{"vlans": [101, 102, 103], "iface": "eth3"}, {"vlans": [100, 100], "iface": "eth1"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 2, "networks": [{"vlans": [101, 102, 103], "iface": "eth3"}, {"vlans": [100, 100], "iface": "eth1"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 3, "networks": [{"vlans": [101, 102, 103], "iface": "eth3"}, {"vlans": [100, 100], "iface": "eth1"}, {"vlans": [0], "iface": "eth0"}]}]}}	[]	\N	1
52	5	e7365e5d-893f-4c7a-b89c-966bb8d7c92a	deployment	Deployment of environment 'test_rhos_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.9/ or via internal network at http://10.20.0.31/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "e7365e5d-893f-4c7a-b89c-966bb8d7c92a", "deployment_info": [{"management_interface": "eth3.101", "use_cow_images": true, "uid": "15", "floating_interface": "eth3", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "rhel-x86_64"}, "mysql": {"root_password": "U0KYasZo"}, "glance": {"image_cache_max_size": "10002995609", "user_password": "gO5eWZ3a", "db_password": "rgqrUV5o"}, "public_interface": "eth3", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.9/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.9/24"]}, "eth3": {"interface": "eth3", "ipaddr": ["172.16.0.9/24"], "gateway": "172.16.0.1"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.31/24"]}}, "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "9sTbDJdI", "user_password": "dhsiaTIm", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"enabled": false}, "role": "controller", "online": true, "use_cinder": true, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "15", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-15"}, {"storage_netmask": "255.255.255.0", "uid": "16", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-16"}, {"storage_netmask": "255.255.255.0", "uid": "17", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.11", "name": "node-17"}], "status": "discover", "deployment_mode": "multinode", "keystone": {"db_password": "JwYFqHFa", "admin_token": "6v1IMtKG"}, "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"enabled": false}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "GVXCqgDy"}, "swift": {"user_password": "1cXSRKGf"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "fqdn": "node-15.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "tzqSeEyz", "user_password": "kUjTiGth"}, "deployment_id": 5, "savanna": {"enabled": false}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "16", "floating_interface": "eth3", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "rhel-x86_64"}, "mysql": {"root_password": "U0KYasZo"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "gO5eWZ3a", "db_password": "rgqrUV5o"}, "public_interface": "eth3", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.10/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.10/24"]}, "eth3": {"interface": "eth3", "ipaddr": ["172.16.0.10/24"], "gateway": "172.16.0.1"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.38/24"]}}, "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "9sTbDJdI", "user_password": "dhsiaTIm", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"enabled": false}, "role": "compute", "online": true, "use_cinder": true, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "15", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-15"}, {"storage_netmask": "255.255.255.0", "uid": "16", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-16"}, {"storage_netmask": "255.255.255.0", "uid": "17", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.11", "name": "node-17"}], "status": "discover", "deployment_mode": "multinode", "keystone": {"db_password": "JwYFqHFa", "admin_token": "6v1IMtKG"}, "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"enabled": false}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "GVXCqgDy"}, "swift": {"user_password": "1cXSRKGf"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "fqdn": "node-16.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "tzqSeEyz", "user_password": "kUjTiGth"}, "deployment_id": 5, "savanna": {"enabled": false}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "17", "floating_interface": "eth3", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "rhel-x86_64"}, "mysql": {"root_password": "U0KYasZo"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "gO5eWZ3a", "db_password": "rgqrUV5o"}, "public_interface": "eth3", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.11/24"]}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.11/24"]}, "eth3": {"interface": "eth3", "ipaddr": ["172.16.0.11/24"], "gateway": "172.16.0.1"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.41/24"]}}, "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "9sTbDJdI", "user_password": "dhsiaTIm", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"enabled": false}, "role": "cinder", "online": true, "use_cinder": true, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "15", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-15"}, {"storage_netmask": "255.255.255.0", "uid": "16", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-16"}, {"storage_netmask": "255.255.255.0", "uid": "17", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.11", "name": "node-17"}], "status": "discover", "deployment_mode": "multinode", "keystone": {"db_password": "JwYFqHFa", "admin_token": "6v1IMtKG"}, "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"enabled": false}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "GVXCqgDy"}, "swift": {"user_password": "1cXSRKGf"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "fqdn": "node-17.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "tzqSeEyz", "user_password": "kUjTiGth"}, "deployment_id": 5, "savanna": {"enabled": false}}]}}	{}	46	1
46	5	9f79c4b6-0263-472c-9d27-5f95e0032290	deploy	Deployment of environment 'test_rhos_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.9/ or via internal network at http://10.20.0.31/	ready	100	{}	{}	\N	1
15	2	31cd6760-694d-49a8-bf23-b9dad357b251	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "31cd6760-694d-49a8-bf23-b9dad357b251", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 95396, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.18", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:CC:E4:58"}, "eth2": {"ip_address": "10.20.0.15", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:03:FE:6A"}, "eth1": {"ip_address": "10.20.0.17", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:27:80:27"}, "eth0": {"ip_address": "10.20.0.16", "netmask": "255.255.255.0", "dns_name": "node-4.domain.tld", "static": "0", "mac_address": "08:00:27:D3:95:D1"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:CC:E4:58_eth3,08:00:27:03:FE:6A_eth2,08:00:27:27:80:27_eth1,08:00:27:D3:95:D1_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.152", "name_servers": "\\"10.20.0.2\\"", "name": "node-4", "hostname": "node-4.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 95396, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.19", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:67:39:DC"}, "eth2": {"ip_address": "10.20.0.21", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:DA:78:42"}, "eth1": {"ip_address": "10.20.0.22", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:62:F8:2F"}, "eth0": {"ip_address": "10.20.0.20", "netmask": "255.255.255.0", "dns_name": "node-5.domain.tld", "static": "0", "mac_address": "08:00:27:85:4D:A4"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:67:39:DC_eth3,08:00:27:DA:78:42_eth2,08:00:27:62:F8:2F_eth1,08:00:27:85:4D:A4_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.150", "name_servers": "\\"10.20.0.2\\"", "name": "node-5", "hostname": "node-5.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.23", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:D9:67:C3"}, "eth2": {"ip_address": "10.20.0.24", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:42:15:BB"}, "eth1": {"ip_address": "10.20.0.25", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:A6:26:19"}, "eth0": {"ip_address": "10.20.0.26", "netmask": "255.255.255.0", "dns_name": "node-6.domain.tld", "static": "0", "mac_address": "08:00:27:F5:C1:05"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:D9:67:C3_eth3,08:00:27:42:15:BB_eth2,08:00:27:A6:26:19_eth1,08:00:27:F5:C1:05_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.228", "name_servers": "\\"10.20.0.2\\"", "name": "node-6", "hostname": "node-6.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.28", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:06:66:B2"}, "eth2": {"ip_address": "10.20.0.29", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:45:FC:78"}, "eth1": {"ip_address": "10.20.0.30", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:F0:0C:AD"}, "eth0": {"ip_address": "10.20.0.27", "netmask": "255.255.255.0", "dns_name": "node-7.domain.tld", "static": "0", "mac_address": "08:00:27:F7:0B:78"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:06:66:B2_eth3,08:00:27:45:FC:78_eth2,08:00:27:F0:0C:AD_eth1,08:00:27:F7:0B:78_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.230", "name_servers": "\\"10.20.0.2\\"", "name": "node-7", "hostname": "node-7.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	12	0.050000000000000003
50	5	adea02fc-20a5-4b7a-a630-6d6879f53826	redhat_check_licenses	\N	ready	100	{"respond_to": "redhat_check_licenses_resp", "method": "check_redhat_licenses", "args": {"task_uuid": "adea02fc-20a5-4b7a-a630-6d6879f53826", "nodes": [{"platform_name": null, "uid": 15}, {"platform_name": null, "uid": 16}, {"platform_name": null, "uid": 17}], "release_info": {"release_id": 2, "redhat": {"license_type": "rhsm", "username": "apalkina@mirantis.com", "satellite": "", "password": "AndromedA11", "activation_key": ""}, "release_name": "RHOS 3.0 for RHEL 6.4"}}}	{"release_info": {"release_id": 2}}	46	0.01
53	\N	bf04544c-8ece-4665-baa7-f3df9f60f25b	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "bf04544c-8ece-4665-baa7-f3df9f60f25b", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
27	1	889b3673-7aaf-4fe6-a990-ae1e67f893af	check_dhcp		ready	0	{}	{}	26	1
8	1	d81360fd-6fc8-40c2-bc8c-f7528afbde40	deployment	Deployment of environment 'test_centos_simple_savanna_murano' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.4/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "d81360fd-6fc8-40c2-bc8c-f7528afbde40", "deployment_info": [{"management_interface": "eth3.101", "use_cow_images": true, "uid": "1", "floating_interface": "eth1.100", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "iZwjt0UN"}, "glance": {"image_cache_max_size": "10002995609", "user_password": "qBpF174n", "db_password": "K7mkKAIR"}, "public_interface": "eth1.100", "network_data": {"eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.2/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth1.100": {"interface": "eth1.100", "ipaddr": ["172.16.0.2/24"], "gateway": "172.16.0.1"}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.2/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.4/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "Gv07p7s1"}, "keystone": {"admin_password": "DbOaktc6"}, "database": {"passwd": "ScqRtVbW"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "OjxdussW", "user_password": "EAJgOIbm", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "1uIPAADa", "enabled": true}, "role": "controller", "vlan_splinters": false, "online": true, "use_cinder": true, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "keystone": {"db_password": "t5W08pZk", "admin_token": "s4QpSCzk"}, "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "ICXOrlzQ", "enabled": true, "rabbit_user": "ROeMEb0o", "rabbit_password": "BlFzsT0m"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "vGAxcMji"}, "swift": {"user_password": "pY5NLB8j"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-1.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "ra2gam19", "user_password": "zb5rPLoa"}, "deployment_id": 1, "savanna": {"db_password": "R1Ps7YcK", "enabled": true}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "2", "floating_interface": "eth1.100", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "iZwjt0UN"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "qBpF174n", "db_password": "K7mkKAIR"}, "public_interface": "eth1.100", "network_data": {"eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.3/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth1.100": {"interface": "eth1.100", "ipaddr": ["172.16.0.3/24"], "gateway": "172.16.0.1"}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.3/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.7/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "Gv07p7s1"}, "keystone": {"admin_password": "DbOaktc6"}, "database": {"passwd": "ScqRtVbW"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "OjxdussW", "user_password": "EAJgOIbm", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "1uIPAADa", "enabled": true}, "role": "compute", "vlan_splinters": false, "online": true, "use_cinder": true, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "keystone": {"db_password": "t5W08pZk", "admin_token": "s4QpSCzk"}, "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "ICXOrlzQ", "enabled": true, "rabbit_user": "ROeMEb0o", "rabbit_password": "BlFzsT0m"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "vGAxcMji"}, "swift": {"user_password": "pY5NLB8j"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-2.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "ra2gam19", "user_password": "zb5rPLoa"}, "deployment_id": 1, "savanna": {"db_password": "R1Ps7YcK", "enabled": true}}, {"management_interface": "eth3.101", "use_cow_images": true, "uid": "3", "floating_interface": "eth1.100", "storage_interface": "eth3.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "iZwjt0UN"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "qBpF174n", "db_password": "K7mkKAIR"}, "public_interface": "eth1.100", "network_data": {"eth3.102": {"interface": "eth3.102", "ipaddr": ["192.168.1.4/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth1.100": {"interface": "eth1.100", "ipaddr": ["172.16.0.4/24"], "gateway": "172.16.0.1"}, "eth3.101": {"interface": "eth3.101", "ipaddr": ["192.168.0.4/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.14/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "Gv07p7s1"}, "keystone": {"admin_password": "DbOaktc6"}, "database": {"passwd": "ScqRtVbW"}}, "management_network_range": "192.168.0.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "OjxdussW", "user_password": "EAJgOIbm", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "1uIPAADa", "enabled": true}, "role": "cinder", "vlan_splinters": false, "online": true, "use_cinder": true, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "keystone": {"db_password": "t5W08pZk", "admin_token": "s4QpSCzk"}, "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "ICXOrlzQ", "enabled": true, "rabbit_user": "ROeMEb0o", "rabbit_password": "BlFzsT0m"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "vGAxcMji"}, "swift": {"user_password": "pY5NLB8j"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-3.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "ra2gam19", "user_password": "zb5rPLoa"}, "deployment_id": 1, "savanna": {"db_password": "R1Ps7YcK", "enabled": true}}]}}	{}	4	1
51	5	e71ed31f-2173-4a27-975e-c55828e0d3db	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "e71ed31f-2173-4a27-975e-c55828e0d3db", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "rhel-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 95396, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.34", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:96:55:8A"}, "eth2": {"ip_address": "10.20.0.33", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:60:5D:B4"}, "eth1": {"ip_address": "10.20.0.32", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:B2:79:D2"}, "eth0": {"ip_address": "10.20.0.31", "netmask": "255.255.255.0", "dns_name": "node-15.domain.tld", "static": "0", "mac_address": "08:00:27:FC:26:F0"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:96:55:8A_eth3,08:00:27:60:5D:B4_eth2,08:00:27:B2:79:D2_eth1,08:00:27:FC:26:F0_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.207", "name_servers": "\\"10.20.0.2\\"", "name": "node-15", "hostname": "node-15.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "rhel-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 95396, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.37", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:EF:03:1D"}, "eth2": {"ip_address": "10.20.0.36", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:3C:66:B0"}, "eth1": {"ip_address": "10.20.0.35", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:B4:7E:D2"}, "eth0": {"ip_address": "10.20.0.38", "netmask": "255.255.255.0", "dns_name": "node-16.domain.tld", "static": "0", "mac_address": "08:00:27:13:15:15"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:EF:03:1D_eth3,08:00:27:3C:66:B0_eth2,08:00:27:B4:7E:D2_eth1,08:00:27:13:15:15_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.223", "name_servers": "\\"10.20.0.2\\"", "name": "node-16", "hostname": "node-16.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "rhel-x86_64", "name_servers_search": "\\"domain.tld\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "interfaces": {"eth3": {"ip_address": "10.20.0.40", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:D7:B1:CE"}, "eth2": {"ip_address": "10.20.0.42", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:0C:4F:73"}, "eth1": {"ip_address": "10.20.0.39", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:BB:7F:0B"}, "eth0": {"ip_address": "10.20.0.41", "netmask": "255.255.255.0", "dns_name": "node-17.domain.tld", "static": "0", "mac_address": "08:00:27:C1:84:C6"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:D7:B1:CE_eth3,08:00:27:0C:4F:73_eth2,08:00:27:BB:7F:0B_eth1,08:00:27:C1:84:C6_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.242", "name_servers": "\\"10.20.0.2\\"", "name": "node-17", "hostname": "node-17.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	46	0.050000000000000003
33	\N	a0db0a95-3abd-450b-8820-1b34ebe31244	redhat_setup		ready	100	{}	{"release_info": {"release_id": 2}}	\N	1
\.


--
-- Data for Name: vlan; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vlan (id) FROM stdin;
100
101
102
103
104
105
106
\.


--
-- Name: allowed_networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: global_parameters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY global_parameters
    ADD CONSTRAINT global_parameters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: l2_connections_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY l2_connections
    ADD CONSTRAINT l2_connections_pkey PRIMARY KEY (id);


--
-- Name: l2_topologies_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY l2_topologies
    ADD CONSTRAINT l2_topologies_pkey PRIMARY KEY (id);


--
-- Name: net_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_pkey PRIMARY KEY (id);


--
-- Name: neutron_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: plugins_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_name_key UNIQUE (name);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: vlan_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vlan
    ADD CONSTRAINT vlan_pkey PRIMARY KEY (id);


--
-- Name: allowed_networks_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: allowed_networks_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES networks(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: l2_connections_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_connections
    ADD CONSTRAINT l2_connections_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: l2_connections_topology_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_connections
    ADD CONSTRAINT l2_connections_topology_id_fkey FOREIGN KEY (topology_id) REFERENCES l2_topologies(id) ON DELETE CASCADE;


--
-- Name: l2_topologies_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_topologies
    ADD CONSTRAINT l2_topologies_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networks_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: networks_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networks_vlan_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_vlan_id_fkey FOREIGN KEY (vlan_id) REFERENCES vlan(id);


--
-- Name: neutron_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

